This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 314991 - Belkin USB Wireless G network adapter fails probing
Belkin USB Wireless G network adapter fails probing
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 00:03 EDT by John L. Pierce
Modified: 2008-02-13 15:36 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.23.13-104.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 15:36:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John L. Pierce 2007-10-02 00:03:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.0.04506)

Description of problem:
The belkin usb wireless g network adapter will fail the probe everytime I insert it into the usb port.  I have installed the zd1211 firmware in the /lib/firmware/zd1211 directory as stated in the zd1211 package, I also copied to the /lib/firmware directory to make sure it was found.

This is the dmesg output upon plugging in the usb network device.

usb 2-2: new high speed USB device using ehci_hcd and address 7
usb 2-2: configuration #1 chosen from 1 choice
usb 2-2: reset high speed USB device using ehci_hcd and address 7
wmaster0: Failed to select rate control algorithm
wmaster0: Failed to initialize rate control algorithm
usb 2-2: reset high speed USB device using ehci_hcd and address 7
zd1211rw_mac80211: probe of 2-2:1.0 failed with error -2
usbcore: registered new interface driver zd1211rw_mac80211

If more information is required I will gladly work with you.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Plug in the Belkin USB Wireless G Network Adapter
2.
3.

Actual Results:
No network connectivity, the ifconfig wlan0 up command reports device is not present.

Expected Results:
Have an operational network connection.

Additional info:
Comment 1 Jiri Moskovcak 2007-10-02 05:43:26 EDT
Hi, are you sure, you're using the right firmware? Could you please try to
follow advices on this site:
http://opensource.bureau-cornavin.com/belkin/index.html and post the results?

jirka
Comment 2 John L. Pierce 2007-10-02 10:42:27 EDT
Ok, I checked the information on that page.  I no that it is the zd1211b chipset
based on which windows driver is located on the companion cd.

That page indicates that I should modprobe zd1211b, that module does not exist
in the fedora 2.6.22.5-76 kernel, it is now zd1211rw-mac80211.  I have been on
the linux-wireless dev list and they  suggested I bring this issue here as a bug.

I tried with the information from the page referenced above and this is the result.

[root@linbook2 modprobe.d]# ifup wlan0
zd1211rw-mac80211 device wlan0 does not seem to be present, delaying initialization.

This is the output of dmesg.

[root@linbook2 modprobe.d]# dmesg
usb 2-1: new high speed USB device using ehci_hcd and address 4
usb 2-1: configuration #1 chosen from 1 choice
usb 2-1: reset high speed USB device using ehci_hcd and address 4
wmaster0: Failed to select rate control algorithm
wmaster0: Failed to initialize rate control algorithm
usb 2-1: reset high speed USB device using ehci_hcd and address 4
zd1211rw_mac80211: probe of 2-1:1.0 failed with error -2
usbcore: registered new interface driver zd1211rw_mac80211

I can make it work with the ndiswrapper, but I wish to use native drivers if
possible.

John
Comment 3 John L. Pierce 2007-10-02 15:00:40 EDT
An update, I just installed Fedora 8 test 2 using the i386 iso and the device
works properly out of the box.

This is the dmesg output regarding the device:

zd1211rw_mac80211 1-1:1.0: firmware version 4725
zd1211rw_mac80211 1-1:1.0: zd1211b chip 050d:705c v4810 high 00-17-3f AL2230_RF
pa0 g--NS
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:11:95:2c:26:02
wlan0: RX authentication from 00:11:95:2c:26:02 (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:11:95:2c:26:02
wlan0: RX AssocResp from 00:11:95:2c:26:02 (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: switched to short barker preamble (BSSID=00:11:95:2c:26:02)
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Comment 4 Jiri Moskovcak 2007-10-03 09:40:42 EDT
It seems like problem with the kernel module not the usbutils. So I'm going to
reassign this to kernel.

jirka
Comment 5 John W. Linville 2007-10-04 08:47:42 EDT
Did you try kernel-2.6.22.9-91.fc7?
Comment 6 John L. Pierce 2007-10-04 09:05:53 EDT
No, I have not tried that kernel yet.  I have been at work and am isolated in a
secure environment.  I will try it today and report back on the outcome.

John
Comment 7 John L. Pierce 2007-10-04 15:22:12 EDT
Status Update:

I installed the 2.6.22.9-91.fc7 kernel along with the devel and headers
packages.  I rebooted into the new kernel and inserted the usb network adapter.

I got the same response as before:

This is the output of dmesg.

usb 2-1: new high speed USB device using ehci_hcd and address 4
usb 2-1: configuration #1 chosen from 1 choice
usb 2-1: reset high speed USB device using ehci_hcd and address 4
phy0: Failed to select rate control algorithm
phy0: Failed to initialize rate control algorithm
usb 2-1: reset high speed USB device using ehci_hcd and address 4
zd1211rw_mac80211: probe of 2-1:1.0 failed with error -2
usbcore: registered new interface driver zd1211rw_mac80211

Any additional tests required I will be glad to assist with.  I am not a guru or
driver developer, but I am not afraid to build my own kernel or modules is
necessary.

John
Comment 8 John W. Linville 2007-10-04 15:29:09 EDT
Please attach the output from running 'lspci -n'.  Do you have other wireless 
devices in the box?  Particularly iwl3945 or iwl4965 devices?
Comment 9 John L. Pierce 2007-10-04 16:34:57 EDT
Here is the output of lspci -n:

00:00.0 0500: 10de:02f0 (rev a2)
00:00.1 0500: 10de:02fa (rev a2)
00:00.2 0500: 10de:02fe (rev a2)
00:00.3 0500: 10de:02f8 (rev a2)
00:00.4 0500: 10de:02f9 (rev a2)
00:00.5 0500: 10de:02ff (rev a2)
00:00.6 0500: 10de:027f (rev a2)
00:00.7 0500: 10de:027e (rev a2)
00:02.0 0604: 10de:02fc (rev a1)
00:03.0 0604: 10de:02fd (rev a1)
00:05.0 0300: 10de:0244 (rev a2)
00:09.0 0500: 10de:0270 (rev a2)
00:0a.0 0601: 10de:0260 (rev a3)
00:0a.1 0c05: 10de:0264 (rev a3)
00:0a.3 0b40: 10de:0271 (rev a3)
00:0b.0 0c03: 10de:026d (rev a3)
00:0b.1 0c03: 10de:026e (rev a3)
00:0d.0 0101: 10de:0265 (rev f1)
00:0e.0 0101: 10de:0266 (rev f1)
00:0f.0 0101: 10de:0267 (rev f1)
00:10.0 0604: 10de:026f (rev a2)
00:10.1 0403: 10de:026c (rev a2)
00:14.0 0680: 10de:0269 (rev a3)
00:18.0 0600: 1022:1100
00:18.1 0600: 1022:1101
00:18.2 0600: 1022:1102
00:18.3 0600: 1022:1103
07:05.0 0c00: 1180:0832
07:05.1 0805: 1180:0822 (rev 19)
07:05.2 0880: 1180:0843 (rev 01)
07:05.3 0880: 1180:0592 (rev 0a)
07:05.4 0880: 1180:0852 (rev 05)

This laptop is equipped with a built in Broadcom 4311, but I fear that the pcie
bridge for it failed.  It no longer shows up in the output of lspci as my wife's
does.  I was testing the b43 driver when it failed about 14 days ago.  I then
opted to try the usb stick.  The machine is under warranty so as soon as I can
give it up for about 2 weeks I will send it off to be repaired.

I am in the fedora 8 test system now, and it still works out of the box.

John
Comment 10 John W. Linville 2007-10-08 14:57:30 EDT
OK, this is probably a USB ID issue.  What is the output of running 'lsusb' on 
your box?
Comment 11 John L. Pierce 2007-10-08 20:49:53 EDT
OK, here is the info for lsusb, it is the Belkin Component.

Bus 002 Device 001: ID 0000:0000
Bus 002 Device 002: ID 050d:705c Belkin Components
Bus 001 Device 002: ID 15d9:0a33
Bus 001 Device 001: ID 0000:0000

If you need more info let me know.
Comment 12 John W. Linville 2007-10-09 09:52:18 EDT
Hmmm...looks like that ID is/was already supported in F7.  I'll keep 
investigating...
Comment 13 John L. Pierce 2007-10-09 17:48:54 EDT
Just an update!  I installed fedora 7 x86_64 and the default install placed a
directory in /lib/firmware named zd1211 and with the update to the 2.6.22.9-91
kernel it works on the 64 bit install.

I checked the default install of the 32 bit version and it does not create a
directory named zd1211, and when I unpack the firmware from sourceforge it
places it in a directory named zd1211-firmware.  It might be that the firmware
is not being found.  I will test it in the 32 bit version later this evening or
tomorrow morning and let you know what I find out.

John
Comment 14 John W. Linville 2007-10-10 13:46:51 EDT
Doesn't 'yum install zd1211-firmware' do the trick?
Comment 15 John L. Pierce 2007-10-10 21:56:40 EDT
OK, I installed the zd1211-firmware package and still I get the same failure as
already reported.

Is there, aside from the obvious, any difference between the kernel modules for
the 32 and 64 bit kernels.  With the same version 2.6.22.9-91 kernel installed
in both the 32 and 64 bit systems the 64 bit version works while the 32 does not.

John
Comment 16 John W. Linville 2007-10-22 10:00:26 EDT
Would you mind testing these F8-based kernels?

   http://koji.fedoraproject.org/koji/taskinfo?taskID=203296

Do they improve the situation for you?

   
Comment 17 kincaid 2008-01-09 20:55:18 EST
I have the same problem. I am using Belkin USB Wireless G network adapter  on a
dell insprion 4100. 

This is how I got it to work. After I loged in I click on system, then services,
then I started Network Manager, then saved. Then the next time I logged in
Network Manager would start and detect  the adapter.


In Fedora 2.6.23.1-42.fc8 network manager detect the adapter.
in fedora  2.6.23.9-85.fc8 it does not detect the adapter.

I am using fedora 8
Comment 18 John W. Linville 2008-01-10 08:34:06 EST
kincaid, I suspect you are seeing a different problem.  Please try the kernels 
here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=30917

Do those resolve the issue for you?

John, I notice there is no response to comment 16.  Please try the kernels in 
the link in this comment.
Comment 19 kincaid 2008-01-11 20:16:34 EST
I used  	
kernel-2.6.23.13-104.fc8.i686.rpm

and it fixed my problem.
Comment 20 John W. Linville 2008-02-13 15:36:56 EST
Closed due to lack of response after comment 16...

Note You need to log in before you can comment on or make changes to this bug.